Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Project Rio
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jini.rio.watch
Class BoundedThresholdManager

    java.lang.Object
      org.jini.rio.watch.ThresholdManager
          org.jini.rio.watch.BoundedThresholdManager

    public class BoundedThresholdManager

extends ThresholdManager

The BoundedThresholdManager provides support for threshold handling as follows: A ThresholdNotify.notify method is invoked when the high threshold is breached, and again invoked when the Calculable drops below the high threshold. Low threshold processing occurs in the same manner

Field Summary

Fields inherited from class org.jini.rio.watch.ThresholdManager
`thresholdListeners, thresholdValues`

Constructor Summary
`BoundedThresholdManager()` Create a new BoundedThresholdManager

Method Summary
`void` | `checkThreshold(Calculable calculable)` Check if a threshold has been crossed
`boolean` | `getThresholdCrossed()` Get whether a threshold has been crossed

Methods inherited from class org.jini.rio.watch.ThresholdManager
`addThresholdListener, getThresholdListeners, getThresholdValues, notifyListeners, removeThresholdListener, setThresholdValues`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BoundedThresholdManager

    public BoundedThresholdManager()

  Create a new BoundedThresholdManager

Method Detail

### getThresholdCrossed

    public boolean getThresholdCrossed()

  Get whether a threshold has been crossed

  Specified by:
    `getThresholdCrossed` in class `ThresholdManager`
  Returns:
    Returns true if a threshold has been crossed, false otherwise

### checkThreshold

    public void checkThreshold(Calculable calculable)

  Check if a threshold has been crossed

  Specified by:
    `checkThreshold` in class `ThresholdManager`
  Parameters:
    `calculable` - The Calculable object representing a metric

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Project Rio
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Project Rio.